Skip to content

multiFactorPasskeyOptions

POST
/api/v1/auth/mfa/passkey/options
curl --request POST \
--url https://example.com/api/v1/auth/mfa/passkey/options \
--header 'Content-Type: application/json' \
--data '{ "challengeToken": "example" }'

Exchanges a pending challenge for a WebAuthn assertion request.

Media typeapplication/json
object
challengeToken
required
string
Examplegenerated
{
"challengeToken": "example"
}

Assertion options and a replacement challenge token

Media typeapplication/json
object
data
required
object
challengeToken
required
string
options
required

WebAuthn public-key assertion options for navigator.credentials.get(), serialized with base64url binary fields. Consumed by the platform authenticator rather than field by field.

object
key
additional properties
any
Examplegenerated
{
"data": {
"challengeToken": "example",
"options": {}
}
}

Expired challenge

No passkey is enrolled

Passkeys are unavailable on this installation